Skip to main content
POST
/
workspaces
/
{id}
/
api-key
/
regenerate
Regenerate workspace API key
curl --request POST \
  --url https://api.firma.dev/functions/v1/signing-request-api/workspaces/{id}/api-key/regenerate \
  --header 'Authorization: <api-key>'
{
  "new_key": {
    "api_key": "firma_abc123xyz...",
    "created_at": "2024-12-17T10:30:00Z"
  },
  "expiring_keys": [
    {
      "id": "old-key-uuid",
      "api_key": "firma_old456...",
      "expires_at": "2024-12-18T10:30:00Z"
    }
  ],
  "workspace_id": "123e4567-e89b-12d3-a456-426614174000"
}

Authorizations

Authorization
string
header
required

API key for authentication. Use your API key directly without any prefix (e.g., 'your-api-key'). Bearer prefix is optional but not required.

Path Parameters

id
string<uuid>
required

Workspace ID

Response

API key regenerated successfully

new_key
object

The newly generated API key

expiring_keys
object[]

List of keys that were set to expire in 24 hours

workspace_id
string<uuid>